libgtksourceviewmm: gtksourceview::SourceStyleScheme Class Reference

# gtksourceview::SourceStyleScheme Class Reference

the styling properties applicable to a SourceLanguage. More...

`#include <sourcestylescheme.h>`

List of all members.

## Public Types
typedef SourceStyleScheme | CppObjectType
typedef SourceStyleScheme_Class | CppClassType
typedef GtkSourceStyleScheme | BaseObjectType
typedef GTypeInterface | BaseClassType
## Public Member Functions
| SourceStyleScheme (GtkSourceStyleScheme *castitem)
virtual | ~SourceStyleScheme ()
GtkSourceStyleScheme * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleScheme * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_id () const
Glib::ustring | get_name () const
Glib::ustring | get_description () const
Glib::StringArrayHandle | get_authors () const
std::string | get_filename () const
Glib::RefPtr< SourceStyle > | get_style (const Glib::ustring &style_id)
Glib::RefPtr< const SourceStyle > | get_style (const Glib::ustring &style_id) const
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
## Protected Member Functions
| SourceStyleScheme ()
| SourceStyleScheme (const Glib::Interface_Class &interface_class)
## Friends
class | SourceStyleScheme_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceStyleScheme > | wrap (GtkSourceStyleScheme *object, bool take_copy=false)

## Detailed Description

the styling properties applicable to a SourceLanguage.

## Member Typedef Documentation

typedef SourceStyleScheme gtksourceview::SourceStyleScheme::CppObjectType

typedef SourceStyleScheme_Class gtksourceview::SourceStyleScheme::CppClassType

typedef GtkSourceStyleScheme gtksourceview::SourceStyleScheme::BaseObjectType

typedef GTypeInterface gtksourceview::SourceStyleScheme::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceStyleScheme::SourceStyleScheme | ( |  | ) | `[protected]`

gtksourceview::SourceStyleScheme::SourceStyleScheme | ( | const Glib::Interface_Class & | interface_class | ) | `[explicit, protected]`

Called by constructors of derived classes. Provide the result of the Class init() function to ensure that it is properly initialized.

Parameters:

  | interface_class | The Class object for the derived type.

gtksourceview::SourceStyleScheme::SourceStyleScheme | ( | GtkSourceStyleScheme * | castitem | ) | `[explicit]`

virtual gtksourceview::SourceStyleScheme::~SourceStyleScheme | ( |  | ) | `[virtual]`

## Member Function Documentation

static void gtksourceview::SourceStyleScheme::add_interface | ( | GType | gtype_implementer | ) | `[static]`

static GType gtksourceview::SourceStyleScheme::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceStyleScheme::get_base_type | ( |  | ) | `[static]`

GtkSourceStyleScheme* gtksourceview::SourceStyleScheme::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceStyleScheme* gtksourceview::SourceStyleScheme::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Glib::ustring gtksourceview::SourceStyleScheme::get_id | ( |  | ) | const

Returns:
  scheme id.

Since: 2.0.

Glib::ustring gtksourceview::SourceStyleScheme::get_name | ( |  | ) | const

Returns:
  scheme name.

Since: 2.0.

Glib::ustring gtksourceview::SourceStyleScheme::get_description | ( |  | ) | const

Returns:
  scheme description (if defined) or `0`.

Since: 2.0.

Glib::StringArrayHandle gtksourceview::SourceStyleScheme::get_authors | ( |  | ) | const

Returns:
  A `0`-terminated array containing the scheme authors or `0` if no author is specified by the style scheme.

Since: 2.0.

std::string gtksourceview::SourceStyleScheme::get_filename | ( |  | ) | const

Returns:
  scheme file name if the scheme was created parsing a style scheme file or `0` in the other cases.

Since: 2.0.

Glib::RefPtr<SourceStyle> gtksourceview::SourceStyleScheme::get_style | ( | const Glib::ustring & | style_id | ) |

Parameters:

  | style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or `0` when no style with this name found. It is owned by scheme and may not be unref'ed.

Since: 2.0.

Glib::RefPtr<const SourceStyle> gtksourceview::SourceStyleScheme::get_style | ( | const Glib::ustring & | style_id | ) | const

Parameters:

  | style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or `0` when no style with this name found. It is owned by scheme and may not be unref'ed.

Since: 2.0.

## Friends And Related Function Documentation

friend class SourceStyleScheme_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceStyleScheme > wrap | ( | GtkSourceStyleScheme * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcestylescheme.h